Package org.apache.lucene.search

# Enum Class Pruning

java.lang.Object
java.lang.Enum<Pruning>
org.apache.lucene.search.Pruning

All Implemented Interfaces:
  `Serializable`, `Comparable<Pruning>`, `Constable`

public enum Pruning extends Enum<Pruning>
Controls `LeafFieldComparator` how to skip documents

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GREATER_THAN`
  Allowed to skip documents that compare strictly better than the top value, or strictly worse than the bottom value.
  `GREATER_THAN_OR_EQUAL_TO`
  Allowed to skip documents that compare better than the top value, or worse than or equal to the bottom value.
  `NONE`
  Not allowed to skip documents.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Pruning`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Pruning[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Pruning NONE
    Not allowed to skip documents.

  - ### GREATER_THAN

    public static final Pruning GREATER_THAN
    Allowed to skip documents that compare strictly better than the top value, or strictly worse than the bottom value.

  - ### GREATER_THAN_OR_EQUAL_TO

    public static final Pruning GREATER_THAN_OR_EQUAL_TO
    Allowed to skip documents that compare better than the top value, or worse than or equal to the bottom value.

- ## Method Details

  - ### values

    public static Pruning[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Pruning valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null